Skip to main content
PATCH
/
webhooks
/
{webhook_id}
Update a webhook
curl --request PATCH \
  --url https://service.bluumfinance.com/v1/webhooks/{webhook_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventTypeNames": [
    "<string>"
  ],
  "name": "<string>",
  "url": "<string>",
  "description": "<string>",
  "status": "ACTIVE"
}
'
{
  "status": "success",
  "data": {
    "webhook": {
      "eventTypes": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "category": "<string>",
          "description": "<string>",
          "displayName": "<string>"
        }
      ],
      "name": "<string>",
      "url": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "status": "ACTIVE",
      "secret": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

webhook_id
string<uuid>
required

Body

application/json
eventTypeNames
string[]
name
string
url
string<uri>
description
string | null
status
enum<string>
Available options:
ACTIVE,
INACTIVE

Response

Webhook updated successfully

status
string
Example:

"success"

data
object